<?
ini_set('display_errors',1);  
error_reporting(E_ALL);       
require_once("soap_client_settings.php");
ini_set('soap.wsdl_cache_enabled', 0); 
ini_set('session.name', 'SOAPClient');

function logout()
{
   // {{{
   //  ,    ,  ,   , 
   //     LogOut  SOAP-
   global $client; global $format1; global $format2; global $format3;
   try 
   {
      //  
      $logoutresult = $client->logOut();
   }
   catch(SoapFault $fault)
   {
      //     LogOut      .
      echo $format1."Can`t log out.".$format2;
      echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
      echo $format3;
      exit();
   }
   //  ()
   echo "<br>______________________________________________________<br>Logged out.";
   echo $format3;
   // }}}
}
//    ,          
$format1 = "<p style=\"text-decoration: underline;\"><b>";
$format2 = "________________________________________</b></p>";
$format3 = "<br>___________________________________________________<br><a href=\"soap_form.html\">Go back</a>";
echo "<br><b>server</b>: $soap_server_address <br>";
//   SOAP-    SOAP-.
try 
{
   $client = new SoapClient(null,array
                              (
                              'location' => $soap_server_address, //  SOAP- -  soap_client_settings
                              'uri' => 'urn:RegbaseSoapInterface', 
                              'exceptions' => true,
                              'user_agent' => 'RegbaseSoapInterfaceClient',
                              'trace' => 1
                              )
                           );
}
catch(SoapFault $fault)
{
   //     .
   echo $format1."Couldn`t connect to SOAP server".$format2;
   echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
   echo $format3;
   exit();
}

if ( (isset($_POST['login']) && isset($_POST['password'])) && (!empty($_POST['login']) && !empty($_POST['password'])) )
{
   //   ,   
   try 
   {
      //  
      $loginresult = $client->logIn($_POST['login'],$_POST['password']);
   }
   catch(SoapFault $fault)
   {
      //     LogIn  SOAP-     
      echo $format1."Can`t log in.".$format2;
      echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
      echo $format3;
      exit();
   }
   if ($loginresult->status->code == '0') 
   {
      //  LogIn    ,     (,    )
      echo $format1."Invalid login/password".$format2;
      echo 'Code: '.$loginresult->status->code.'<br>Message: '.$loginresult->status->message;
      echo $format3;
      exit();
   }
   else
   {
      // ,  SOAP- cookie,       .
      $client->__setCookie('SOAPClient',$loginresult->status->message);
      echo "Successfully logged in as ".$_POST['login']."<br>";
   }

   if (isset($_POST['domainlist']))
   {
      $domainlist = explode("\n",$_POST['domainlist']);
      try 
      {         
         $domainmntchange_result = $client->domainMntChange($domainlist,$_POST['what_do'],$_POST['dadm_type']); 
      }
      catch(SoapFault $fault)
      {
         //     domainMntChange      .
         echo $format1."Couldnt execute domainMntChange".$format2;
         echo "Fault code: ".$fault->faultcode."<br>Fault message: ".$fault->faultstring;
         logout();
         exit();
      }
      if ($domainmntchange_result->status->code != '1')
      {
         //  ,      $domainmntchange_result->status->name,  .
         echo $format1."Failed to execute domainMntChange".$format2;
         echo "Error name: ".$domainmntchange_result->status->name." <br>Error message: ".$domainmntchange_result->status->message;
         logout();
         exit();
      }
      else
      {
         echo "<br><b>domainMntChange message:</b> ".$domainmntchange_result->status->message; 
         echo "<table border=1><tr><td>N</td><td>Domain name</td><td>Action status code</td><td>Error message</td></tr>";
         foreach($domainmntchange_result->data as $key => $domain)
         {
            echo "<tr><td>".($key+1)."</td><td>".$domain->name."</td><td>".$domain->opstate."</td><td>".$domain->errmsg."</td></tr>";
         }
         echo '</table>';
      }
   }
   else
   {
      //   
      echo $format1."Form not filled".$format2;
      logout();
      exit();
   }
   logout();   
}
else
{
   //      
   echo $format1."Invalid (blank) login/password".$format2;
   echo $format3;
   exit();
}
?>
